Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class AuditTypeEntryValue

    java.lang.Object
      oracle.ifs.common.AuditTypeEntryValue

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable

    public final class AuditTypeEntryValue

extends java.lang.Object
implements java.io.Serializable, java.lang.Comparable

An AuditTypeEntryValue is a light-weight representation of an Audit operation type, and the indication as to whether successful and/or failed operations should be audited for that operation type.

See Also:
  Serialized Form

Field Summary
`static int` | `AUDIT_SUCCESS_MODE_FAILURE_ONLY` Constant used for the OPERATIONSUCCESSMODE attribute, indicating that only failed operations will be audited.
`static int` | `AUDIT_SUCCESS_MODE_NONE` Constant used for the OPERATIONSUCCESSMODE attribute, indicating that neither successful nor failed operations will be audited.
`static int` | `AUDIT_SUCCESS_MODE_SUCCESS_ONLY` Constant used for the OPERATIONSUCCESSMODE attribute, indicating that only successful operations will be audited.
`static int` | `AUDIT_SUCCESS_MODE_SUCCESS_OR_FAILURE` Constant used for the OPERATIONSUCCESSMODE attribute, indicating that both successful and failed operations will be audited.

Constructor Summary
`AuditTypeEntryValue(int opType, java.lang.String opTypeKey, int mode)` Constructs an AuditTypeEntryValue.

Method Summary
`int` | `compareTo(java.lang.Object obj)` Determines the order of this result with respect to another.
`int` | `getOperationSuccessMode()` Returns the numeric value that describes whether successful and/or failed operations should be audited.
`int` | `getOperationType()` Gets the operation type.
`java.lang.String` | `getOperationTypeKey()` Gets the operation type key.
`boolean` | `isOperationIncluded(boolean wasSuccessful)` Gets whether an operation with the specified success status should be audited.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AUDIT_SUCCESS_MODE_NONE

    public static final int AUDIT_SUCCESS_MODE_NONE

  Description copied from class: `AuditTypeEntryValue`
  Constant used for the OPERATIONSUCCESSMODE attribute, indicating that neither successful nor failed operations will be audited.

  Value: 1

  See Also:
    Constant Field Values

### AUDIT_SUCCESS_MODE_SUCCESS_ONLY

    public static final int AUDIT_SUCCESS_MODE_SUCCESS_ONLY

  Description copied from class: `AuditTypeEntryValue`
  Constant used for the OPERATIONSUCCESSMODE attribute, indicating that only successful operations will be audited.

  Value: 2

  See Also:
    Constant Field Values

### AUDIT_SUCCESS_MODE_FAILURE_ONLY

    public static final int AUDIT_SUCCESS_MODE_FAILURE_ONLY

  Description copied from class: `AuditTypeEntryValue`
  Constant used for the OPERATIONSUCCESSMODE attribute, indicating that only failed operations will be audited.

  Value: 3

  See Also:
    Constant Field Values

### AUDIT_SUCCESS_MODE_SUCCESS_OR_FAILURE

    public static final int AUDIT_SUCCESS_MODE_SUCCESS_OR_FAILURE

  Description copied from class: `AuditTypeEntryValue`
  Constant used for the OPERATIONSUCCESSMODE attribute, indicating that both successful and failed operations will be audited.

  Value: 4

  See Also:
    Constant Field Values

Constructor Detail

### AuditTypeEntryValue

    public AuditTypeEntryValue(int opType,
                               java.lang.String opTypeKey,
                               int mode)

  Constructs an AuditTypeEntryValue.

  Parameters:
    `opType` - the operation type
    `opTypeKey` - the equivalent operation type key
    `mode` - the success/failure mode

Method Detail

### getOperationType

    public int getOperationType()

  Description copied from class: `AuditTypeEntryValue`
  Gets the operation type.

  Returns:
    the operation type

### getOperationTypeKey

    public java.lang.String getOperationTypeKey()

  Description copied from class: `AuditTypeEntryValue`
  Gets the operation type key.

  Returns:
    the operation type key

### isOperationIncluded

    public boolean isOperationIncluded(boolean wasSuccessful)

  Description copied from class: `AuditTypeEntryValue`
  Gets whether an operation with the specified success status should be audited.

  Returns:
    whether successful operations should be audited

### getOperationSuccessMode

    public int getOperationSuccessMode()

  Description copied from class: `AuditTypeEntryValue`
  Returns the numeric value that describes whether successful and/or failed operations should be audited.

  Will be one of the following constants:

  - `AUDIT_SUCCESS_MODE_NONE`
  - `AUDIT_SUCCESS_MODE_SUCCESS_ONLY`
  - `AUDIT_SUCCESS_MODE_FAILURE_ONLY`
  - `AUDIT_SUCCESS_MODE_SUCCESS_OR_FAILURE`

  Returns:
    the operation success mode

### compareTo

    public int compareTo(java.lang.Object obj)
                  throws java.lang.ClassCastException

  Description copied from class: `AuditTypeEntryValue`
  Determines the order of this result with respect to another.

  Note: this class has a natural ordering that is inconsistent with equals.

  Specified by:
    `compareTo` in interface `java.lang.Comparable`
  Parameters:
    `obj` - the AuditTypeEntryValue to compare
  Returns:
    a positive integer if the target precedes the object specified; a negative integer if the target follows the object specified
  Throws:
    `java.lang.ClassCastException` - if the object specified is not an AuditTypeEntryValue
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD